Skip to main content
GET
/
v1
/
arb
/
live
Get Arb Live
curl --request GET \
  --url https://api.polyquantlab.com/v1/arb/live \
  --header 'Authorization: Bearer <token>'
{
  "as_of": "2026-06-06T03:54:11.842913+00:00",
  "count": 1,
  "tickers": [
    "BTC",
    "ETH",
    "SOL"
  ],
  "event_types": [
    "5m",
    "15m",
    "1h",
    "4h",
    "daily_up_down"
  ],
  "min_edge_pp": 0.04,
  "opportunities": [
    {
      "market_id": "0x4a8f31...c2",
      "ticker": "BTC",
      "event_type": "5m",
      "question": "Will Bitcoin price be above $109,500 at 04:00 UTC?",
      "polymarket_slug": "bitcoin-up-or-down-june-6-4am-et",
      "resolution_at": "2026-06-06T04:00:00+00:00",
      "seconds_to_resolution": 47,
      "underlying_now": 109842.5,
      "strike_price": 109500,
      "log_diff": 0.00312,
      "sigma_annual": 0.482,
      "sigma_tau": 0.00046,
      "market_yes_mid": 0.815,
      "model_yes_prob": 0.999,
      "mismatch_mid": 0.184,
      "yes_bid": 0.81,
      "yes_ask": 0.82,
      "no_bid": 0.18,
      "no_ask": 0.19,
      "fill_price": 0.82,
      "fill_spread": 0.01,
      "direction": "BUY_YES",
      "edge_per_share": 0.18,
      "est_fee_per_share": 0.013,
      "expected_pnl_per_share": 0.167,
      "tier": "endgame"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

min_edge_pp
number
default:0.04

Minimum |market_yes − model_yes| in probability points. Below this, the mismatch is dominated by fees and noise. 0.04 = 4pp is the practical floor.

Required range: 0 <= x <= 0.5
vol_window_sec
integer
default:600

Realised-vol estimation window in seconds. Shorter = more responsive to current regime; longer = less noisy.

Required range: 60 <= x <= 3600
tickers
string
default:BTC,ETH,SOL

Comma-separated tickers to scan.

event_types
string
default:5m,15m,1h,4h,daily_up_down

Comma-separated Polymarket event types to scan.

limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

as_of
string<date-time>
required

Server timestamp when the response was generated.

count
integer<int64>
required
tickers
string[]
required
event_types
string[]
required
min_edge_pp
number<double>
required
opportunities
object[]
required